@import "https://js.arcgis.com/4.19/@arcgis/core/assets/esri/themes/light/main.css";

/* src/main/resources/staticExtmap/react/map/UnitInfo/UnitInfo.sass */
.unitInfo {
  position: absolute;
  z-index: 1;
  min-width: 450px;
}
.unitInfo h3 {
  padding-right: 27px;
  word-break: normal;
  overflow-wrap: normal;
}
@media (max-width: 600px) {
  .unitInfo {
    min-width: 150px;
  }
}

/* src/main/resources/staticExtmap/react/map/ExtMap.sass */
.mapDiv {
  padding: 0;
  margin: 0;
  height: calc(100vh - 120px);
  max-height: 1000px;
  max-width: 100%;
}
.mapSearch {
  position: absolute;
  max-width: 600px;
  z-index: 1;
  margin-top: 15px;
  margin-left: 15px;
}
.mapSearch #search-results {
  position: inherit;
}
.map-search-input {
  display: flex;
  align-items: end;
  gap: 12px;
}
.map-search-suggestions {
  position: absolute;
  list-style-type: none;
  background-color: var(--hds-ui-colors-light-grey-fill);
  margin: 0;
  padding: 0;
}
.map-search-suggestions li {
  padding: 18px 12px;
}
.map-search-suggestions li.active-suggestion {
  background-color: var(--hds-ui-colors-light-grey-stroke);
}
.app-map-icon-background {
  padding: 5px;
  border-radius: 50%;
}
.app-map-icon-background > svg {
  vertical-align: baseline;
}
.app-map-icon-postkasse {
  padding-top: 5px;
}
.map-search-area-button {
  position: relative;
  top: -85px;
  margin-bottom: -45px;
}
.map-go-to-position-button {
  position: absolute;
  z-index: 1;
  background-color: white;
  margin-top: 85px;
  margin-left: 15px;
  width: 32px;
  padding: 7px 0px 4px 1px;
}
@media (max-width: 940px) {
  .mapDiv {
    height: calc(100vw - 48px);
    max-height: 590px;
  }
}
@media (max-width: 720px) {
  .mapDiv {
    height: calc(100vw - 32px);
    max-height: 688px;
  }
}
.esri-component {
  background: transparent;
  box-shadow: none;
}
.esri-zoom .esri-widget--button {
  border-radius: var(--hw-border-radius);
  background-color: white;
  border: 1px solid var(--hw-color-primary-darker);
  color: var(--hw-color-primary-darker);
  fill: var(--hw-color-primary-darker);
  outline-offset: 3px;
}
.esri-zoom .esri-widget--button:last-child {
  border-top: 1px solid var(--hw-color-primary-darker);
}
.esri-zoom .esri-widget--button:first-child {
  margin-bottom: 3px;
}
